package view;

import util.Toolset;

public class shellUI {
    public static void run() throws IllegalAccessException {

        System.out.println("""
                ------------------------------------------
                -----------------后台管理系统---------------
                ------------------------------------------
                """);
        Chose();
    }

    //选项一
    private static void Chose() throws IllegalAccessException {
        System.out.println("""
                请选择你要进行的功能:
                1.商家管理\t2.用户管理\t3.订单管理
                4.我是用户，我要登录\t
                0.退出
                """);

        switch (Toolset.option()) {
            case 0 -> System.exit(0);
            //商家
            case 1 -> {
                System.out.println("""
                        请选择你想使用的功能:
                        1.新建商家\t\t2.删除商家\t\t3.更新信息
                        4.查询所有商家\t5.根据ID查询商家
                        0.退出
                        """);
                MerchantsView merchants_view = new MerchantsView();
                merchants_view.merchantsDB(Toolset.option());
                Chose();
            }
            //用户
            case 2 -> {
                System.out.println("""
                        请选择你想使用的功能:
                        1.新建用户\t\t2.删除用户\t\t3.更新信息
                        4.查询所有用户\t5.根据ID查询用户
                        0.退出
                        """);
                UserView user_view = new UserView();
                user_view.userDB(Toolset.option());
                Chose();
            }
            //订单
            case 3 -> {
                System.out.println("""
                        请选择你想使用的功能:
                        1.删除订单\t\t2.更新订单
                        3.查询所有订单\t4.根据ID查询订单
                        0.退出
                        """);
                IndentView indent_view = new IndentView();
                indent_view.IndentDB(Toolset.option());
                Chose();
            }
            //下单
            case 4 -> {
                System.out.println("""
                        请选择你想使用的功能:
                        1.点菜
                        0.退出
                        其它功能还在开发中呢，请耐心等待哦~
                        """);
                CommonUse user = new CommonUse();
                user.use(Toolset.option());
                Chose();
            }
        }
    }
}
